/**
 * BuildingNumber2.java
 *
 * File generated from the medication2::BuildingNumber2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration BuildingNumber2.
 *
 * 
 */

@XmlType(name = "BuildingNumber")
@XmlEnum
@XmlRootElement(name = "BuildingNumber2")
public enum BuildingNumber2 {
	@XmlEnumValue("BNR")
	BNR("BNR"),
	@XmlEnumValue("BNN")
	BNN("BNN"),
	@XmlEnumValue("BNS")
	BNS("BNS");
	
	private final String value;

    BuildingNumber2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static BuildingNumber2 fromValue(String v) {
        for (BuildingNumber2 c: BuildingNumber2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
